#!/usr/bin/env node
"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const mojangApi_1 = require("./mojang/mojangApi");
const listParser_1 = require("./parsing/listParser");
const fs = __importStar(require("fs"));
const usernameScanner_1 = require("./usernameScanner");
const os = __importStar(require("os"));
const main = async () => {
    if (process.argv.length < 3) {
        console.error("Expected Input Filename. Usage: mc-username-checker <input-file> [output-file]");
        process.exit(1);
    }
    const inputFileName = process.argv[2];
    const outputFileName = process.argv[3] ?? "out.txt";
    const input = fs.readFileSync(inputFileName).toString();
    const usernames = (0, listParser_1.parseList)(input)
        .map(s => s.trim())
        .filter(username => {
        if (!(0, mojangApi_1.isUsernameValid)(username)) {
            console.log(`Invalid Username: ${username}`);
            return false;
        }
        return true;
    });
    const availableUsernames = await (0, usernameScanner_1.filterTakenUsernames)(usernames);
    fs.writeFileSync(outputFileName, availableUsernames.join(os.EOL));
    console.log(`Saved available usernames in ${outputFileName}`);
};
main();
//# sourceMappingURL=index.js.map