"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.isUsernameValid = exports.getProfile = void 0;
const axios_1 = __importDefault(require("axios"));
const mojangApiRoutes_1 = require("./mojangApiRoutes");
const usernamePattern = /^\w{3,16}$/i;
const getProfile = async (username) => {
    const resp = await axios_1.default.get(mojangApiRoutes_1.Routes.profile(username));
    return resp.data ? resp.data : null;
};
exports.getProfile = getProfile;
const isUsernameValid = (username) => {
    return usernamePattern.test(username);
};
exports.isUsernameValid = isUsernameValid;
//# sourceMappingURL=mojangApi.js.map