import axios from "axios";
import {Routes} from "./mojangApiRoutes";

const usernamePattern = /^\w{3,16}$/i

type MinecraftProfile = {
  name: string,
  id: string
}

export const getProfile = async (username: string): Promise<MinecraftProfile | null> => {
  const resp = await axios.get(Routes.profile(username))
  return resp.data ? resp.data : null
}

export const isUsernameValid = (username: string): boolean => {
  return usernamePattern.test(username)
}