import * as os from "os";

/**
 * Parses a string into a list
 * @param listString A list of items seperated by line breaks or a json list as a string
 */
export const parseList = (listString: string): Array<string> => {
  if(isJsonList(listString)) {
    return JSON.parse(listString)
  } else {
    return listString.trim().split(os.EOL).filter(s => !!s)
  }
}

const isJsonList = (listString: string): boolean => {
  try {
    const arr = JSON.parse(listString)
    return arr instanceof Array
  } catch(e) {}
  return false
}